libstdc++: std::system_error Class Reference

libstdc++

std::system_error Class Reference
Diagnostics » Exceptions

`#include <system_error>`

Inheritance diagram for std::system_error:
[legend]

## Public Member Functions
| system_error (const system_error &)=default
| system_error (error_code __ec, const char *__what)
| system_error (error_code __ec, const string &__what)
| system_error (error_code __ec=error_code())
| system_error (int __v, const error_category &__ecat)
| system_error (int __v, const error_category &__ecat, const char *__what)
| system_error (int __v, const error_category &__ecat, const string &__what)
const error_code & | code () const noexcept
system_error & | operator= (const system_error &)=default
virtual const char * | what () const noexcept

## Detailed Description

An exception type that includes an error_code value.

Typically used to report errors from the operating system and other low-level APIs.

Since
  C++11

Definition at line 558 of file system_error.

## Constructor & Destructor Documentation

## ◆ system_error() [1/6]

std::system_error::system_error | ( | error_code | __ec = error_code() | ) |
| inline

Definition at line 564 of file system_error.

## ◆ system_error() [2/6]

std::system_error::system_error | ( | error_code | __ec,
|  | const string & | __what )
| inline

Definition at line 567 of file system_error.

## ◆ system_error() [3/6]

std::system_error::system_error | ( | error_code | __ec,
|  | const char * | __what )
| inline

Definition at line 570 of file system_error.

## ◆ system_error() [4/6]

std::system_error::system_error | ( | int | __v,
|  | const error_category & | __ecat,
|  | const char * | __what )
| inline

Definition at line 573 of file system_error.

## ◆ system_error() [5/6]

std::system_error::system_error | ( | int | __v,
|  | const error_category & | __ecat )
| inline

Definition at line 576 of file system_error.

## ◆ system_error() [6/6]

std::system_error::system_error | ( | int | __v,
|  | const error_category & | __ecat,
|  | const string & | __what )
| inline

Definition at line 580 of file system_error.

## Member Function Documentation

## ◆ code()

const error_code & std::system_error::code | ( |  | ) | const
| inlinenoexcept

Definition at line 592 of file system_error.

## ◆ what()

virtual const char * std::runtime_error::what | ( |  | ) | const
| virtualnoexceptinherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::experimental::filesystem::v1::filesystem_error, std::filesystem::filesystem_error, and std::ios_base::failure.

References what().

Referenced by what().

The documentation for this class was generated from the following file:

- system_error